The Improvements kanban
GET
/api/v1/improvementsRequires an Organization API key with the member capability.
Authorization
apiKey AuthorizationBearer <token>
In: header
Query Parameters
limit?integer
Items per page; defaults to 50 and is clamped to 1–100.
cursor?string
Opaque nextCursor returned by the previous page.
search?string
Text in the title, the IMP-n key or a tag. Applied before pagination.
status?string
One stored status: to_do, in_progress, in_review, done or archived.
priority?string
high, medium, low or none.
assigneeId?string
A Member's user id. Empty lists unassigned work.
projectId?string
Only the Improvements filed under one Project.
assistantId?string
Only the Improvements with evidence from one Assistant.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/improvements"{ "data": [ { "messageCount": 0, "id": "string", "organizationId": "string", "seq": 0, "title": "string", "description": "string", "status": "to_do", "priority": "none", "tags": [ "string" ], "assigneeId": null, "dueDate": null, "projectId": null, "createdBy": null, "createdAt": "string", "updatedAt": "string" } ], "nextCursor": null, "counts": { "to_do": 0, "in_progress": 0, "in_review": 0, "done": 0, "archived": 0 }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}{ "error": { "code": "string", "message": "string" }}